﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ComboEditorCustomValueAction
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            DataContext = new List<ComboData>
            {
                new ComboData { ID = 1, Name = "Item 1" },
                new ComboData { ID = 2, Name = "Item 2" },
                new ComboData { ID = 3, Name = "Item 3" },
            };

        }

   
        private void XamMultiColumnComboEditor_ItemAdded(object sender, Infragistics.Controls.Editors.ComboItemAddedEventArgs<Infragistics.Controls.Editors.ComboRow> e)
        {

        }

        private void XamMultiColumnComboEditor_ItemAdding(object sender, Infragistics.Controls.Editors.ComboItemAddingEventArgs<Infragistics.Controls.Editors.ComboRow> e)
        {
            ComboData data = e.Item.Data as ComboData;
            MessageBox.Show(
                "New Item:\nID:" + data.ID + "\nName: " + data.Name);
        }
    }

    public class ComboData
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
